Last Comment Bug 81019 - If accessing http://www.צה.com, error message lacks URL
: If accessing http://www.צה.com, error message lacks URL
Status: VERIFIED WORKSFORME
: intl
Product: Core
Classification: Components
Component: Internationalization (show other bugs)
: Trunk
: x86 All
: -- normal (vote)
: mozilla1.2alpha
Assigned To: nhottanscp
: Rui Xu
Mentors:
http://www.צה.com
Depends on: 124042
Blocks:
  Show dependency treegraph
 
Reported: 2001-05-15 13:42 PDT by Junk_HbJ
Modified: 2002-03-22 15:47 PST (History)
11 users (show)
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---
Has Regression Range: ---
Has STR: ---


Attachments

Description Junk_HbJ 2001-05-15 13:42:55 PDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (Windows; U; Win98; en-US; rv:0.9) Gecko/20010505
BuildID:    2001051403

If you click onto http://www.צה.com, you get the error message "www..com could
not be found."

Reproducible: Always
Steps to Reproduce:
1. Click onto http://www.צה.com

Actual Results:  Error message "www..com could not be found ..."

Expected Results:  Error message "www.צה.com could not be found ..."

This is a spinoff of bug 80942.
Comment 1 Håkan Waara 2001-05-15 13:48:37 PDT
Confirmed.

Please note that 'å', 'ä' and 'ö' are all valid characters in .nu domain names.

CC some networking people too...
Comment 2 Doug Turner (:dougt) 2001-05-15 13:58:55 PDT
reassigning to gagan.  part of URI cleanup/iDNS work.  
Comment 3 Alexey Chernyak 2001-05-15 17:54:25 PDT
I think this is a direct result of bug 81024
Comment 4 Gagan 2001-05-29 13:49:21 PDT
->neeti
Comment 5 Andreas Becker 2001-08-28 19:06:39 PDT
mass change, switching qa contact from jonrubin to ruixu.
Comment 6 Junk_HbJ 2001-12-23 15:56:08 PST
We have a nice change here: The error message is now:
"www.%C3%B6%C3%A4.com could not be found".
Comment 7 Darin Fisher 2002-01-07 13:13:03 PST
the cause of this new problem is the fix for bug 110418, which was an essential
security fix.  this may simply be a duplicate of the problem now reported in bug
42898.

cc'ing william tan.
Comment 8 Darin Fisher 2002-01-30 19:00:56 PST
-> nhotta
Comment 9 Wil Tan 2002-02-25 16:57:45 PST
This is fixed by attachment 71035 [details] in bug 124042.
Comment 10 Dean Tessman 2002-03-04 15:42:10 PST
I see the correct error message using 2002030403 on Win2K.
Comment 11 Dean Tessman 2002-03-21 12:48:57 PST
wfm using 2002032003 on win2k
Comment 12 Rui Xu 2002-03-22 15:47:29 PST
It can not be reproduced with 20020322 trunk builds on Windows, Mac and Linux.
Verified.

Note You need to log in before you can comment on or make changes to this bug.